Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.jpdl3
Class JPDL3AssignmentMetadata

    java.lang.Object
      org.modeshape.sequencer.jpdl3.JPDL3AssignmentMetadata

    public class JPDL3AssignmentMetadata

extends Object

Author:
  Serge Pagop

Constructor Summary
`JPDL3AssignmentMetadata()`

Method Summary
`String` | `getConfigType()` Get the configType.
`String` | `getExpression()` Get the assignment expression for the jpdl identity component.
`String` | `getFqClassName()` Get the full qualified name of the class delegation.
`void` | `setConfigType(String configType)`
`void` | `setExpression(String expression)` Set the expression.
`void` | `setFqClassName(String fqClassName)` Set the full qualified name of the class delegation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPDL3AssignmentMetadata

    public JPDL3AssignmentMetadata()

Method Detail

### getFqClassName

    public String getFqClassName()

  Get the full qualified name of the class delegation.

  Returns:
    the fqClassName.

### setFqClassName

    public void setFqClassName(String fqClassName)

  Set the full qualified name of the class delegation.

  Parameters:
    `fqClassName` - Sets fqClassName to the specified value.

### getExpression

    public String getExpression()

  Get the assignment expression for the jpdl identity component.

  Returns:
    the expression.

### setExpression

    public void setExpression(String expression)

  Set the expression.

  Parameters:
    `expression` - Sets expression to the specified value.

### getConfigType

    public String getConfigType()

  Get the configType.

  Returns:
    configType

### setConfigType

    public void setConfigType(String configType)

  Parameters:
    `configType` - Sets configType to the specified value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.